Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.debug.client
Class DebugInfo

    java.lang.Object
      com.google.gwt.debug.client.DebugInfo

    public class DebugInfo

extends java.lang.Object

Provides low-level functionality to support the creation of testing and diagnostic frameworks.

See Also:
  `UIObject.ensureDebugId(String)`

Constructor Summary
`DebugInfo()`

Method Summary
`static boolean` | `isDebugIdEnabled()` Returns true if debug IDs are enabled such that calls to `UIObject.ensureDebugId(String)` will set DOM IDs on the `UIObject` and its important sub elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugInfo

    public DebugInfo()

Method Detail

### isDebugIdEnabled

    public static boolean isDebugIdEnabled()

  Returns true if debug IDs are enabled such that calls to `UIObject.ensureDebugId(String)` will set DOM IDs on the `UIObject` and its important sub elements.

  Returns:
    true if debug IDs are enabled, false if disabled.
  See Also:
    `UIObject.ensureDebugId(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD